using Entities.DTO;

namespace TechHelper.Client.Services
{
	public class UserServices : IUserServices
	{
		private readonly HttpClient _client;

		public UserServices(HttpClient httpClient)
		{
			_client = httpClient;
		}

		public async Task<ApiResponse> RestoreUserInfo()
		{
			var result = await _client.GetAsync("user/restoreUserRole");
			if (result.IsSuccessStatusCode)
			{
				return ApiResponse.Success();
			}
			return ApiResponse.Error();
		}
	}
}
